--
-- CodebookInitialData.sql
-- William Gray
-- Copyright 2015 Zetetic, LLC
--
-- SQL for initial application welcome/example records
--

-- Create Notes category
INSERT INTO categories(id, name, image, created_at, updated_at) 
VALUES (
	ditto_guid(), 
	'Notes',	
	'icon_notepad.png', 
	DATETIME('now', 'localtime'), 
	DATETIME('now', 'localtime')
);

-- Create Passwords category
INSERT INTO categories(id, name, image, created_at, updated_at) 
VALUES (
	ditto_guid(), 
	'Passwords',	
	'icon_computer_terminal.png', 
	DATETIME('now', 'localtime'), 
	DATETIME('now', 'localtime')
);

-- Create "Welcome to Codebook" initial note entry in Notes category
INSERT INTO entries(id, category_id, name, image, created_at, updated_at, touched_at, type, is_favorite, is_template) 
VALUES (
	ditto_guid(), 
	(SELECT id FROM categories WHERE name='Notes'), 
	'Welcome to Codebook!', 
	'icon_notepad.png', 
	DATETIME('now', 'localtime'), 
	DATETIME('now', 'localtime'), 
	DATETIME('now', 'localtime'),
	1, -- type 1 for note records
	1, -- totes fave!
	0
);
-- Add the note field with welcoming text to the note entry's fields
INSERT INTO fields(id, entry_id, idx, type_id, value) 
VALUES (
	ditto_guid(), 
	(SELECT id FROM entries WHERE name='Welcome to Codebook!'),
	0, 
	(SELECT id FROM types WHERE name='Account'), 
"Welcome to Codebook!

This is a note, feel free to delete it, edit it, or make new ones. We'd like to introduce ourselves and mention a few things:

* Notes are for free-form data; if you're the type who needs more structure have a look at the Passwords category. We've added a sample entry record there that you can fill out, copy, reuse, or delete. It's merely to show off what you can do. Entry records can contain any number and kind of fields and be structured however you like. Go nuts!

* On entry records, you store your information in fields. Each field has a label that's used to describe the data and provide corresponding behaviors. Adjust your labels however you like under File menu -> Customize Labels.

* We've all got issues—tell us about yours! support@zetetic.net

Thank you,
Zetetic LLC
"
);

-- Create "My Website" sample entry in Passwords category
INSERT INTO entries(id, category_id, name, image, created_at, updated_at, touched_at, type, is_favorite, is_template) 
VALUES (
	ditto_guid(), 
	(SELECT id FROM categories WHERE name='Passwords'), 
	'My Website', 
	'icon_culinary_coffee.png',
	DATETIME('now', 'localtime'),
	DATETIME('now', 'localtime'),
	DATETIME('now', 'localtime'),
	0, -- type 0 for entry (non-note) records
	0,
	0
);

-- Add fields to My Website
INSERT INTO fields(id, entry_id, idx, type_id, value, created_at, updated_at) 
VALUES (
	ditto_guid(), 
	(SELECT id FROM entries WHERE name='My Website'),
	0, 
	(SELECT id FROM types WHERE name='Username'),
	"",
	DATETIME('now', 'localtime'),
	DATETIME('now', 'localtime')
);
INSERT INTO fields(id, entry_id, idx, type_id, value, created_at, updated_at) 
VALUES (
	ditto_guid(), 
	(SELECT id FROM entries WHERE name='My Website'),
	1, 
	(SELECT id FROM types WHERE name='Password'),
	"",
	DATETIME('now', 'localtime'),
	DATETIME('now', 'localtime')
);
INSERT INTO fields(id, entry_id, idx, type_id, value, created_at, updated_at) 
VALUES (
	ditto_guid(), 
	(SELECT id FROM entries WHERE name='My Website'),
	2, 
	(SELECT id FROM types WHERE name='Website'),
	"https://discuss.zetetic.net/c/strip",
	DATETIME('now', 'localtime'),
	DATETIME('now', 'localtime')
);
INSERT INTO fields(id, entry_id, idx, type_id, value, created_at, updated_at) 
VALUES (
	ditto_guid(), 
	(SELECT id FROM entries WHERE name='My Website'),
	3, 
	(SELECT id FROM types WHERE name='TOTP'),
	"ofmq jnnw nfso h3z5 bpfh b7jz 6e",
	DATETIME('now', 'localtime'),
	DATETIME('now', 'localtime')
);
INSERT INTO fields(id, entry_id, idx, type_id, value, created_at, updated_at) 
VALUES (
	ditto_guid(), 
	(SELECT id FROM entries WHERE name='My Website'),
	4, 
	(SELECT id FROM types WHERE name='Note'),
	"The TOTP key is just for demonstration, it's not in use anywhere. By the way, check out our discussion forum!",
	DATETIME('now', 'localtime'),
	DATETIME('now', 'localtime')
);
INSERT INTO fields(id, entry_id, idx, type_id, value, created_at, updated_at) 
VALUES (
	ditto_guid(),
	(SELECT id FROM entries WHERE name='My Website'),
	5,
	(SELECT id FROM types WHERE name='Phone'),
	"",
	DATETIME('now', 'localtime'),
	DATETIME('now', 'localtime')
);
INSERT INTO fields(id, entry_id, idx, type_id, value, created_at, updated_at) 
VALUES (
	ditto_guid(),
	(SELECT id FROM entries WHERE name='My Website'),
	6,
	(SELECT id FROM types WHERE name='Email'),
	"",
	DATETIME('now', 'localtime'),
	DATETIME('now', 'localtime')
);
INSERT INTO fields(id, entry_id, idx, type_id, value, created_at, updated_at) 
VALUES (
	ditto_guid(), 
	(SELECT id FROM entries WHERE name='My Website'),
	7, 
	(SELECT id FROM types WHERE name='PIN'),
	"1234",
	DATETIME('now', 'localtime'),
	DATETIME('now', 'localtime')
);
